- @page_title = 'Change log'

%section
  %p.-mbl Every notice here is applied on this instance

- if unreleased_changes?
  = render 'changelog_entry', title: 'Unreleased' do
    = render 'app/unreleased_changes'

-# = render 'changelog_entry', date: '13/01/2022', version: '0.8.0', title: '' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li
    %li
      %strong New features
      %ul
        %li
    %li
      %strong Improvements
      %ul
        %li
    %li
      %strong Fixes
      %ul
        %li

= render 'changelog_entry', date: '11/01/2025',
                            version: '0.16.1',
                            title: 'Fix docker image generation' do
  %ul
    %li
      %strong Fixes
      %ul
        %li
          Docker image
          %ul
            %li
              Fix incorrect variables for Docker compose (<code>SECRET_KEY_JWT</code> and
              <code>INSTANCE_ALLOWED_CORS_ORIGINS</code>)
            %li Fix generation of the <code>latest</code> image

= render 'changelog_entry', date: '05/12/2024',
                            version: '0.16.0',
                            title: 'Crops rotations and comments' do
  %ul
    %li
      %strong New features
      %ul
        %li
          Crop rotations
          %ul
            %li Resources: Add attribute for crop rotation group
            %li Display crop rotation group on patches
            %li Add filter in library
        %li Added a button to switch light/dark theme in application. It overrides user preferences per browser.
        %li Added a page to manage email notification preferences
        %li
          Comments: first steps
          %ul
            %li Ability for team members to comment observations and tasks from the timeline
            %li Ability for team members to comment observations from the targeted observations lists
            %li
              On public gardens, ability for other members to comment observations from the timeline or the targeted
              observations list
            %li Ability for comment authors to update/soft delete owned comments
            %li Ability for the map owner to soft delete any comment
            %li Everyone in the map team have an app notification on new comments
            %li It is possible to receive this notification by email after activating the option in the preferences
    %li
      %strong Improvements
      %ul
        %li Display a line when changing a map's scale
        %li Display a dot when defining a map's center
        %li Improve the map creation form with better steps definition
        %li Rework the edition forms to match the new creation steps
        %li Garden map: add map controls in garden map
        %li Library: Add button to reset filters when no results are found
        %li Shared gardens: improve layout (spaces, wording)
        %li Observations: Improve list
        %li Observations: Display observations counts in garden/public gardens
        %li Timelines: Reworked components
    %li
      %strong Changes
      %ul
        %li Observation edition has been restricted to their authors. Map owner still can delete them
    %li
      %strong Fixes
      %ul
        %li Reorder some dialogs to avoid some overlaps with forms

= render 'changelog_entry', date: '07/09/2024',
                            version: '0.15.0',
                            title: 'Calendars, virtual patches and inventory rework' do
  %ul
    %li
      %strong New features
      %ul
        %li Add support for read-only calendars
        %li Patches: Add support for <em>virtual patches</em>: patches not displayed on the map
        %li
          %strong API
          %ul
            %li
              Added new filters on tasks listings: <code>filters[status]</code> handles <code>pending</code>,
              <code>overdue</code> and <code>done</code>.
    %li
      %strong Improvements
      %ul
        %li Save element creation activities
        %li Account-related email (Devise) now use the same layout as the other mails
        %li App: Improve page titles
        %li App: Handle removed elements in coordination graph
        %li App: Display years on coordination graph
        %li App: Group removed patch elements by year in inventory
        %li
          App: Move "Activity", "Team" and "Soil analysis" tabs in a dropdown to keep the view responsive. You will find
          the entries on the right of the "Library" button
        %li App: Rework the whole inventory page
    %li
      %strong Changes
      %ul
        %li
          %strong API
          %ul
            %li
              Change filters on tasks listings: <code>pending=true</code> parameter is now
              <code>filters[status]=pending</code>.
    %li
      %strong Fixes
      %ul
        %li Add missing translations on account page
        %li Do not send Devise-related emails with a "reply-to" header
        %li Missing translations will now stand out with a red, red text
        %li Rake tasks: Round values in <code>stats:show</code> task
        %li Elements: Make layer changeable again
        %li Minor fixes on display and behavior

= render 'changelog_entry', date: '09/02/2024', version: '0.14.0', title: 'Improvements and JWT tokens' do
  %ul
    %li
      %strong Added
      %ul
        %li
          Added support for API keys (JWT tokens) to make API calls from custom clients. Allowed origins are
          configurable in the instance configuration file
    %li
      %strong Improvements
      %ul
        %li Enable caching of general data (families, genera, resources, ...)
        %li Display a circle near mouse cursor when drawing patches
        %li Display a circle instead of a small point when selecting a single element
        %li Display information in a tooltip when hovering map elements
        %li Display nice 404 errors in VueJS applications (not on Rails errors)
        %li Rework map controls: add more controls and help
        %li Limit zoom on maps with custom picture
        %li Improve warning messages shown before destroying things
        %li Limit the loading screen sizes between tabs
        %li Improved filters on the coordination tab
        %li Require password to delete an account
        %li Reworked the account preferences page
    %li
      %strong Fixes
      %ul
        %li Fixed translation display for form errors
        %li Fixed date-time picker in harvesting form
        %li Fix app crashing after removing a patch
        %li Account: Deletion works on accounts with lots of data created
    %li
      %strong Maintenance
      %ul
        %li Upgrade to Rails 7.1
        %li Upgrade RiseUI to 1.1.0
        %li Remove Storybook and create documentation based on RiseUI documentation system
        %li Use Ruby 3.1 instead of 2.7
        %li Use Node 20 instead of 16

= render 'changelog_entry', date: '18/09/2023', version: '0.13.3', title: 'Fixes and RiseUI' do
  %ul
    %li
      %strong Improvements
      %ul
        %li
          UI: Common VueJS components moved in [RiseUI](https://gitlab.com/experimentslabs/garden-party/rise-ui/)
          repository.
    %li
      %strong Fixes
      %ul
        %li Layers: Fixed delete button
        %li Layers: Prevent deletion when paths remains on the layer
        %li Layers: Improve information modal when deletion is impossible

= render 'changelog_entry', date: '14/08/2023', version: '0.13.2', title: 'Fixes and empty patches' do
  %ul
    %li
      %strong New features
      %ul
        %li Map: Allow drawing empty patches
    %li
      %strong Improvements
      %ul
        %li Map: Improved patterns for empty patches and patches with many resources
    %li
      %strong Fixes
      %ul
        %li Resource selector: Handle case where resources don't have an interaction group
        %li Map: Fix line width representing elements diameters
        %li Paths: Draw paths once

= render 'changelog_entry', date: '26/07/2023', version: '0.13.1', title: 'Fixes' do
  %ul
    %li
      %strong Fixes
      %ul
        %li Thumbnails: Thumbnails are only loaded when visible
        %li Harvests: Fix button to delete entries

= render 'changelog_entry', date: '10/07/2023', version: '0.13.0', title: 'Harvests' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li Activate "web history" mode for VueJS application routes. Update your favorites.
    %li
      %strong New features
      %ul
        %li Introduce the harvesting system. Feedback welcome.
        %li Timeline: create a page to display all the observations and tasks
        %li Timeline (shared maps): create a page to display all the observations
        %li Observations: add button to create observations from observation modal
        %li Observations: add buttons to edit/destroy observations
        %li Tasks: add filter to display done tasks
    %li
      %strong Improvements
      %ul
        %li= merge_request_entry 'Patches: Display interactions when adding resources', number: 237
        %li Serve Ubuntu font
        %li Admin: Add link to create new resource from genus' <code>show</code> view
        %li Admin: Add link to create new genus from family's <code>show</code> view
        %li Task form: Add a checkbox to choose whether to complete tasks in the past as done
    %li
      %strong Fixes
      %ul
        %li Resources: Fix hardcoded header
        %li Garden: Fix path drawing tool not... drawing
        %li Observations: Fix displayed picture size on Chrome
        %li Shared map: Fix button to toggle side panel on mobile

= render 'changelog_entry', date: '02/07/2022', version: '0.12.0', title: 'Interactions' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li= merge_request_entry 'Rework of the interactions system with the use of interactions groups', number: 217
        %li= merge_request_entry 'Upgrade Ruby on rails to version 7', number: 221
    %li
      %strong Improvements
      %ul
        %li Library: Rework of the resources page
        %li= issue_entry 'Trusted data: Import/export and sync interactions', number: 108
        %li= issue_entry 'Copy resource name when duplicating elements', number: 106
        %li= issue_entry 'Coordination: Improve graphs readability', number: 107
        %li= issue_entry 'Elements: Support implantation mode', number: 94
        %li= merge_request_entry 'Patches: Sort elements in patch details', number: 222
        %li= merge_request_entry 'Trusted data: Handle multi-file packs', number: 232
        %li= merge_request_entry 'Garden: Better guide user to draw things', number: 234
    %li
      %strong Fixes
      %ul
        %li Library: Search genera and families
        %li Library: Refine incomplete interactions meaning

= render 'changelog_entry', date: '05/04/2022', version: '0.11.2', title: 'Fixes' do
  %ul
    %li
      %strong New features
      %ul
        %li Console: Add rake task to normalize library data
    %li
      %strong Improvements
      %ul
        %li Library: Normalize data before validation
        %li Elements: Add unit for current diameter in form
    %li
      %strong Fixes
      %ul
        %li= issue_entry 'Resource interactions: do not break form when interaction is not found', number: 101
        %li Coordination: Prevent duplicate display of ungrouped resources
        %li Map: Update styles asynchronously when updating a patch or standalone element

= render 'changelog_entry', date: '30/03/2022', version: '0.11.1', title: 'Fixes' do
  %ul
    %li
      %strong Improvements
      %ul
        %li= issue_entry "Gardens: Don't preload all resources patterns", number: 98
    %li
      %strong Fixes
      %ul
        %li= issue_entry 'Coordination: Display implantation bars again', number: 99

= render 'changelog_entry', date: '28/03/2022', version: '0.11.0', title: '' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li Configuration: Configuration keys changed
    %li
      %strong New features
      %ul
        %li= merge_request_entry 'Ability to duplicate an element in a patch', number: 202
        %li= merge_request_entry 'Coordination: Ability to group view by resource'
        %li= merge_request_entry 'Coordination: Ability to add resources from the view', number: 201
        %li= issue_entry 'Library: Resource interaction form is now available', number: 88
    %li
      %strong Improvements
      %ul
        %li= merge_request_entry 'Change elements actions layout depending on context', number: 185
        %li= merge_request_entry 'Inventory: More compact list', number: 185
        %li= issue_entry 'Map: Ability to draw paths without a name', number: 204
        %li Home: Page has been reworked
        %li Gardens: Soil analysis tool are now integrated in the gardens app and is no longer available
        %li Gardens: Layout changed a bit
    %li
      %strong Fixes
      %ul
        %li= merge_request_entry "Fix: Scale standalone elements position when changing the map's scale", number: 197
        %li= merge_request_entry 'Fix: Unable to delete a patch, as a teammate', number: 194
        %li= merge_request_entry 'Fix: Unable to change implantation date as a teammate', number: 194
        %li= merge_request_entry 'Fix: Missing layers icon in activity view', number: 200
        %li= merge_request_entry 'Fix: Display elements custom names in patches', number: 199
        %li= merge_request_entry 'Fix: Error when saving elements without dates', number: 195
        %li= issue_entry 'Fix: Soft deleted elements still show up in API results', number: 91
        %li= issue_entry 'Fix: Missing activity when renaming elements or changing their patch', number: 96

= render 'changelog_entry', date: '04/03/2022', version: '0.10.0', title: 'Coordination' do
  %ul
    %li
      %strong New features
      %ul
        %li
          Application: Create "coordination" view that helps to easily determine
          the implantation/removal dates
    %li
      %strong Improvements
      %ul
        %li Application: Display initial loading steps
        %li Application: Ability to search an element's resource from its edition form
        %li Application: Ability to change an element's patch from its edition form
    %li
      %strong Fixes
      %ul
        %li Application: Measurements are readable again while drawing
        %li Admin: Sowing/harvesting periods are readable again
        %li App: Fix exceptions thrown when interacting with the map after a map change
        %li Style: Orange color is slightly more...orange
        %li API: The <code>tag_list</code> fields contains a list of tags
        %li Application: Drawing color changes are applied when the drawing is deselected

= render 'changelog_entry', date: '27/02/2022', version: '0.9.1', title: 'Quick fix' do
  %ul
    %li
      %strong Corrections
      %ul
        %li Migrations: Fix a migration preventing upgrade from Garden Party 0.7 to 0.9

= render 'changelog_entry', date: '27/02/2022', version: '0.9.0', title: 'Face lift' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li Development: Vite is now used instead of Webpack
        %li Development: Vue has been upgraded to version 3.x
        %li Development: Node 16 is now required to build the frontend
        %li API: Minor changes in responses
    %li
      %strong New features
      %ul
        %li Admin tasks: `rake data:import_new` syncs new entries from the trusted source
        %li Admin tasks: `rake stats:show` now have the amount of inactive users
        %li Library: Tags filters
        %li App: Help started to be integrated in the app
    %li
      %strong Improvements
      %ul
        %li App: Most of the frontend components were reworked
        %li Development: Storybook was added to help develop components
    %li
      %strong Fixes
      %ul
        %li Admin: Fixed resources search in administration area
        %li API: Fixed n+1 queries when fetching resources

= render 'changelog_entry', date: '13/01/2022', version: '0.8.1', title: 'Performance' do
  This updates mainly improve performances on libraries with more than 2000 resources.

  %ul
    %li
      %strong New features
      %ul
        %li Admin tasks: display amount of inactive users in stats
        %li Admin tasks: Add task to sync all new entities from trusted data source
        %li Library: Add search and filters
    %li
      %strong Improvements
      %ul
        %li Improve performance in resource selectors
        %li Improve performance in library

= render 'changelog_entry', date: '27/12/2021', version: '0.8.0', title: 'Administration and reworks' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li API: changes in requests/responses
    %li
      %strong New features
      %ul
        %li Library: Resources can now have public user notes
        %li
          Library: Add "diameter" attribute to resources, to display the space
          the resource uses when mature
        %li Library: Add sowing/harvesting periods
        %li Library: Add ability for users to edit resource tags
        %li
          Inventory: Add "diameter" attribute to elements to display the space
          it currently takes
        %li Map: Display diameters (current and maximum)
        %li Admin: Pagination on index pages
        %li Admin: Search, filters and ordering indexes
        %li Admin: Display changes history with a diff
        %li Admin: Create an area to manage tags
        %li Admin: Create an area to synchronize library with a trusted source
        %li
          Instance: Add ability for maintainers to display an announce message
          on the home page.
        %li
          Map: Activities is now a thing and all actions performed by map members
          are logged.
        %li
          Map: Tasks are now created automatically for some actions
    %li
      %strong Improvements
      %ul
        %li Map: Improved path style selector
        %li Map: "Action" system was split into "observations", "tasks" and "activities"
        %li Library: Multiple sources can now be attached to a resource
        %li Library: "edible" attribute is removed, a tag should be used for this.
    %li
      %strong Fixes
      %ul
        %li
          Map/inventory: Fixed dates edition in elements form: they were all messed up and
          irrelevant depending on the context
        %li Other small fixes and improvements

= render 'changelog_entry', date: '31/10/2021', version: '0.7.0', title: 'Team work' do
  %ul
    %li
      %strong Breaking changes
      %ul
        %li
          Descriptions are removed from families and genera
        %li
          Descriptions are now optional for resources
    %li
      %strong New features
      %ul
        %li
          Support for custom map background color
        %li
          Support for notifications
        %li
          Ability to invite team mates in a garden: they will have the same
          rights as the owner except for the edition of map parameters.
        %li
          Ability to assign tasks to team mates
    %li
      %strong Improvements
      %ul
        %li
          Resources images are now generated on the client, reducing
          the number of requests to the server and the loading time
        %li
          Display child resources in search results
        %li
          Actions pictures are resized to the maximum allowed by server before
          uploading, reducing upload times
        %li
          Various test improvements, general maintenance
    %li
      %strong Fixes
      %ul
        %li Display measure tooltips when drawing paths and patches
        %li Fix form errors display
        %li Fix some failing PATCH requests
        %li A lot of other small fixes

= render 'changelog_entry', date: '14/08/2021', version: '0.6.1', title: 'Mobile views' do
  %ul
    %li
      Mobile view support for gardens view, shared garden view and garden overview
    %li
      Fixed the annoying zoom when double-clicking on a map popup
    %li
      Added support for localized seeds: some english one were added
    %li
      Various minor fixes

= render 'changelog_entry', date: '01/08/2021', version: '0.6.0', title: 'More actions' do
  %ul
    %li
      Split tags support
    %li
      Ability to take notes for the map (not visible on shared maps)
    %li
      Ability to hide a maps background image
    %li
      Ability to create actions on map, patches and paths in addition to actions on elements
    %li
      Added legend in shared maps

= render 'changelog_entry', date: '19/06/2021', version: '0.5.0', title: 'Resource Tags' do
  %ul
    %li
      Enforce family presence on genus
    %li
      Enforce unique genus names
    %li
      Enforce unique family names
    %li
      Kingdom moved from genus to family, as family is now enforced
    %li
      Ability to edit elements (resource and implantation/removal dates)
    %li
      Ability to perform actions on non-implanted elements
    %li
      Tags for resources
    %li
      Footer with app version

= render 'changelog_entry', date: '14/06/2021', version: '0.4.1', title: 'Various improvements' do
  %ul
    %li
      Improve administration views with more data and cross links
    %li
      Fix genus sources not being saved on app's form
    %li
      When creating families, genera or resources, existing entities are shown
      to help avoid duplicates
    %li
      Small fixes on CSS, typos, translations, ...

= render 'changelog_entry', date: '12/06/2021', version: '0.4.0', title: 'Library improvements' do
  %ul
    %li
      Add latin names to resources.
    %li
      Add families to genera for a more complete library.
    %li
      Fix link to homepage in application menu.

= render 'changelog_entry', date: '07/06/2021', version: '0.3.0', title: 'Public maps' do
  %ul
    %li
      Ability to share a map and its content publicly

= render 'changelog_entry', date: '20/05/2021', version: '0.2.0', title: 'Scaling' do
  %ul
    %li
      Ability to define a scale on new image-based maps
    %li
      Ability to change the scale of exising image-based maps
    %li
      Ability to rotate patches (not the standalone elements)
    %li
      Ability to move patches (not the standalone elements)
    %li
      Dark theme based on browser preferences (switch is impossible from the
      interface)
    %li
      Display lenghts and areas when creating patches and drawings
    %li
      Display lenghts and areas on created creating patches and drawings
    %li
      Change the way patches are modified (bye bye, "Edit" menu)

= render 'changelog_entry', date: '18/05/2021', version: '0.1.1', title: 'Fixes' do
  %ul
    %li
      Fixes the first resource being hidden under the search bar on resource
      selector.
    %li
      Fixes resources form: missing "common names" field has been added;
      "edible" field is now allowed.

= render 'changelog_entry', date: '09/04/2021', version: '0.1.0', title: 'Layers management' do
  %ul
    %li
      Add support to reorder layers

= render 'changelog_entry', date: '06/04/2021', version: '0.0.19', title: 'Improvements bis' do
  %ul
    %li
      Add support for custom activities: when displaying available actions on
      an element, it is now possible to enter your own actions.
    %li
      Add a list of color presets for paths drawings in the form.
    %li
      Add support for dashed paths, and a list of presets available in the
      form.

= render 'changelog_entry', date: '30/03/2021', version: '0.0.18', title: 'Improvements' do
  %p
    This release is mainly a rework of the frontend code, with nearly no
    impact on usability. Still, a few changes were made:
  %ul
    %li
      Tables have a better accessibility.
    %li
      Patches are now properly updating their backgrounds when adding/removing
      elements in them.
    %li
      Dates can be entered manually in the date picker: just click on the date
      in it to show the controls. Its easier to enter dates far in the future
      or past.

= render 'changelog_entry', date: '19/03/2021', version: '0.0.17', title: 'Layers' do
  %ul
    %li
      The layer system has been reworked : layers are now dependent to a garden.
      The patches and drawings must now be placed on a layer to be created (and
      can be moved later).
    %li
      Community resources are no more related to layers.

= render 'changelog_entry', date: '09/03/2021', version: '0.0.16', title: 'Drawings' do
  %ul
    %li
      It is now possible to draw shapes on the map for zones, paths, etc...
    %li
      The garden management interface is now more compact and usable.

= render 'changelog_entry', date: '11/02/2021', version: '0.0.15', title: 'Pictures!' do
  %ul
    %li
      Added ability to attach pictures to actions. Administrators, you will need
      <code>libvibs-dev</code> for this one.
    %li
      For admins, we added a migration guide.

= render 'changelog_entry', date: '01/02/2021', version: '0.0.14', title: 'Links!' do
  %ul
    %li
      Created the "links" module to share links with the community. Links needs
      to be approved by administrators before being publicly visible.
      There is no API endpoint for links.
    %li Made the administration menu more readable.

= render 'changelog_entry', date: '15/01/2021', title: 'Soil analysis tool' do
  %ul
    %li
      Created a
      = link_to 'tool', tools_soil_analysis_path
      to help knowing soil composition.

= render 'changelog_entry', date: '03/01/2021', version: '0.0.13', title: 'Community content' do
  %ul
    %li
      Members can now create genera and resources, which will be available for
      the community.
    %li
      Members can now edit existing genera and resources.
    %li
      When the app is accessed, the last used map is automatically loaded.
    %li
      In library, a resource's variants are now displayed.

= render 'changelog_entry', date: '03/01/2021' do
  %ul
    %li
      Improved french translations
      (thanks to <a href="https://gitlab.com/eliovir" rel="noopener noreferrer">eliovir</a>)

= render 'changelog_entry', date: '17/12/2020' do
  %ul
    %li
      Improved feedback on form submission.
    %li
      Improved visual alerts style.
    %li
      Instances are now configurable via a YAML file.

= render 'changelog_entry', date: '15/12/2020', title: 'Documentation' do
  %ul
    %li
      Added links to user documentation
    %li
      Improved date picker for actions

= render 'changelog_entry', date: '09/12/2020', title: 'Fixes' do
  %ul
    %li
      An error prevented to create actions in the future, and has been fixed.

= render 'changelog_entry', date: '07/12/2020', version: '0.0.12', title: 'Planification' do
  %ul
    %li
      Changes were made to elements to allow planification for removal from
      patches.
    %li
      Changes were made to inventory to make it more readable... I guess...

= render 'changelog_entry', date: '06/12/2020', title: 'Maintenance' do
  %ul
    %li
      Actions are now polymorphic, in preparation to crop actions. The <code>
      element_id</code> was replaced by <code>subject_id</code> and <code>
      subject_type</code>.
    %li
      Write Cucumber tests for the "Inventory" view.

= render 'changelog_entry', date: '05/12/2020', title: 'Maintenance' do
  %ul
    %li
      Table "crops" was renamed to "elements".

= render 'changelog_entry', date: '04/12/2020', title: 'Todo' do
  %ul
    %li
      Create a Todo page which list pending actions, day by day.

= render 'changelog_entry', date: '03/12/2020', version: '0.0.11', title: 'Planification' do
  %ul
    %li
      Create a planning system: an action on a element can now be defined in the
      future. Don't forget to trim your trees anymore!

= render 'changelog_entry', date: '01/12/2020', title: 'Search' do
  %ul
    %li
      Create a search field to find resources easily.
    %li
      Fix sub-resource selection
    %li
      Create a basic admin area to manage resource interaction

= render 'changelog_entry', date: '29/11/2020', version: '0.0.10', title: 'Resource removal' do
  %ul
    %li
      It's now possible to mark a resource as "removed". It will not show up on the
      map anymore, but will still be visible in the overview, for later consultation.
    %li
      It's now possible to delete maps.
    %li
      When deleting elements, user has to confirm on a dialog.
    %li
      Some interface improvements, mainly targeting Chrome.
    %li
      When creating/updating/deleting elements, a feedback is made to the user
    %li
      Form errors are now displayed.

= render 'changelog_entry', date: '28/11/2020', version: '0.0.9', title: 'Actions' do
  %ul
    %li
      It's not possible to tell the system when a element has been or will be placed
      in the real world.
    %li
      Add a simple actions system: we can now perform actions on elements and
      associate a note to it
    %li
      A table summarizes actions performed for every element.
    %li
      Element destruction must now be confirmed.
    %li
      Some interface improvements were done, and fixes were made specially for Chrome

= render 'changelog_entry', date: '26/11/2020', version: '0.0.8', title: 'Authentication' do
  %ul
    %li
      Authentication setup.
    %li
      Maps now belong to someone!
    %li
      Authorizations setup: one user can only changes its maps.

= render 'changelog_entry', date: '19/11/2020', version: '0.0.7', title: 'Administration' do
  %ul
    %li
      Creation of the administration area for levels, plants and genera.

= render 'changelog_entry', date: '19/11/2020', version: '0.0.6', title: 'Merging projects' do
  %ul
    %li
      Merge the <em>frontend</em> project with the <em>backend</em> in one Ruby
      on Rails application.
    %li
      Development tools improvements (mainly code generators).

= render 'changelog_entry', date: '11/11/2020', version: '0.0.5', title: 'Resources' do
  %ul
    %li
      Plants are now <em>resources</em>. A generic name which allows to integrate
      the living elements (insects, ...) in maps.
    %li
      Add concept of resource interactions.
    %li
      Add concept of "resources groups": a "generic" plant can have many variants, which
      allows to place elements without knowing the exact variety.
    %li
      Add attributes to resources: common names, edible.
    %li
      Add attributes to genera: reign (animal/plant).

= render 'changelog_entry', date: '11/11/2020', version: '0.0.4', title: 'Genera' do
  %ul
    %li
      Add the plant genera (yup, plural of <em>genus</em>).

= render 'changelog_entry', date: '08/11/2020', version: '0.0.3', title: 'Integration' do
  %ul
    %li
      The <em>backend</em> now works with the <em>frontend</em>!
    %li
      Automatic generation of plants map markers.

= render 'changelog_entry', date: '06/11/2020', version: '0.0.2', title: 'Swagger documentation' do
  %ul
    %li
      Creatio, of the <em>Swagger</em>, documentation, available on
      <a href="/swagger.json" target="_blank">the project</a>.
    %li
      Add the "patch" concept: a patch can have multiple elements.

= render 'changelog_entry', date: '05/11/2020', version: '0.0.1', title: 'Backend creation' do
  %ul
    %li Creation of a Ruby on Rails API.
    %li Creation of the base structure: maps, plants, elements, as in the proof of concept.

= render 'changelog_entry', date: '31/10/2020', title: 'Proof of concept' do
  %ul
    %li Creation of a test interface, to check the idea (no database)
